# Surcharge class

Represents a Surcharge object.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

Surcharge(int paymentProductId, SurchargeResult result, AmountOfMoney netAmount, AmountOfMoney surchargeAmount, AmountOfMoney totalAmount, {SurchargeRate? surchargeRate})
Surcharge.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
netAmount → AmountOfMoney
  final
paymentProductId → int
  final
result → SurchargeResult
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
surchargeAmount → AmountOfMoney
  final
surchargeRate → SurchargeRate?
  final
totalAmount → AmountOfMoney
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited